| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Static Public Member Functions | List of all members
Gaudi::Functional::details::filter_evtcontext_t< EventContext, In... > Struct Template Reference

`#include <GaudiAlg/FunctionalDetails.h>`

## Public Types
using | type = std::tuple< In... >

## Static Public Member Functions
template<typename Algorithm , typename Handles >
static auto | apply (const Algorithm &algo, Handles &handles)
template<typename Algorithm , typename Handles >
static auto | apply (const Algorithm &algo, const EventContext &ctx, Handles &handles)

## Detailed Description

### template<typename... In>
struct Gaudi::Functional::details::filter_evtcontext_t< EventContext, In... >

Definition at line 364 of file FunctionalDetails.h.

## Member Typedef Documentation

## ◆ type

template<typename... In>

using Gaudi::Functional::details::filter_evtcontext_t< EventContext, In... >::type = std::tuple<In...>

Definition at line 365 of file FunctionalDetails.h.

## Member Function Documentation

## ◆ apply() [1/2]

template<typename... In>
template<typename Algorithm , typename Handles >

static auto Gaudi::Functional::details::filter_evtcontext_t< EventContext, In... >::apply | ( | const Algorithm & | algo,
|  | Handles & | handles
| ) |  |
| inline static

Definition at line 371 of file FunctionalDetails.h.

371 {
372 return std::apply(
373 [&]( const auto&... handle ) {
374 const auto& ctx = Gaudi::Hive::currentContext();
375 return algo( ctx, get( handle, algo, ctx )... );
376 },
377 handles );
378 }
Gaudi::Hive::currentContext
GAUDI_API const EventContext & currentContext()
Definition: ThreadLocalContext.cpp:20
Gaudi::Functional::details::get
auto get(const Handle &handle, const Algo &, const EventContext &) -> decltype(details::deref(handle.get()))
Definition: FunctionalDetails.h:332

## ◆ apply() [2/2]

template<typename... In>
template<typename Algorithm , typename Handles >

static auto Gaudi::Functional::details::filter_evtcontext_t< EventContext, In... >::apply | ( | const Algorithm & | algo,
|  | const EventContext & | ctx,
|  | Handles & | handles
| ) |  |
| inline static

Definition at line 381 of file FunctionalDetails.h.

381 {
382 return std::apply( [&]( const auto&... handle ) { return algo( ctx, get( handle, algo, ctx )... ); }, handles );
383 }
Gaudi::Functional::details::get
auto get(const Handle &handle, const Algo &, const EventContext &) -> decltype(details::deref(handle.get()))
Definition: FunctionalDetails.h:332

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/FunctionalDetails.h